%define upstream_name    Log-Handler
%define upstream_version 0.87

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    A simple log file handler
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(UNIVERSAL)
BuildArch:  noarch

%description
This module is just a simple object oriented log file handler and very easy to
use.  It's possible to define a log level for your programs and control the
amount of informations that will be logged to the log file. In addition it's
possible to configure how you wish to open the log file - transient or
permanent - and lock and unlock the log file by each write operation. If you
wish you can assign the handler to check the inode of the log file (not on
Windows). That could be very useful if a rotate mechanism moves and zip the log
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.870.0-4pclos2017
- rebuild against updates

